package com.manage.vo;

import com.manage.entity.Power_User;

import java.util.List;
import java.util.Set;

public class Power_UserVo extends Power_User {
    private Integer limit;
    private Integer page;
    private Integer offset;

    private String roleName;

    private String powerDepts;

    private Integer id;

    private Integer dictId;

    private Integer searchRoleId;

    private String effectiveCn;

    private String deptName;

    private String sex;

    private Integer isUpdate;

    private Integer isDelete;

    private String checks;

    private Integer loginFlag;

    private Integer showRecord;

    private Integer downloadRecord;

    private Integer showPrint;

    private Set<String> menus;

    private List<User_Dept_Menu> menuList;

    private List<User> userList;

    public Integer getShowPrint() {
        return showPrint;
    }

    public void setShowPrint(Integer showPrint) {
        this.showPrint = showPrint;
    }

    public Integer getShowRecord() {
        return showRecord;
    }

    public void setShowRecord(Integer showRecord) {
        this.showRecord = showRecord;
    }

    public Integer getDownloadRecord() {
        return downloadRecord;
    }

    public void setDownloadRecord(Integer downloadRecord) {
        this.downloadRecord = downloadRecord;
    }

    public List<User> getUserList() {
        return userList;
    }

    public void setUserList(List<User> userList) {
        this.userList = userList;
    }

    public Integer getLoginFlag() {
        return loginFlag;
    }

    public void setLoginFlag(Integer loginFlag) {
        this.loginFlag = loginFlag;
    }

    public String getChecks() {
        return checks;
    }

    public void setChecks(String checks) {
        this.checks = checks;
    }

    public Integer getIsUpdate() {
        return isUpdate;
    }

    public void setIsUpdate(Integer isUpdate) {
        this.isUpdate = isUpdate;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getPowerDepts() {
        return powerDepts;
    }

    public void setPowerDepts(String powerDepts) {
        this.powerDepts = powerDepts;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDictId() {
        return dictId;
    }

    public void setDictId(Integer dictId) {
        this.dictId = dictId;
    }

    public Integer getSearchRoleId() {
        return searchRoleId;
    }

    public void setSearchRoleId(Integer searchRoleId) {
        this.searchRoleId = searchRoleId;
    }

    public String getEffectiveCn() {
        return effectiveCn;
    }

    public void setEffectiveCn(String effectiveCn) {
        this.effectiveCn = effectiveCn;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Set<String> getMenus() {
        return menus;
    }

    public void setMenus(Set<String> menus) {
        this.menus = menus;
    }

    public List<User_Dept_Menu> getMenuList() {
        return menuList;
    }

    public void setMenuList(List<User_Dept_Menu> menuList) {
        this.menuList = menuList;
    }
}